For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocsAPI ReferenceChangelog
DocsAPI ReferenceChangelog
  • REST
    • Authentication
    • Platform
          • GETGet imports for DB
          • POSTCreate Import
          • GETGet Import by ID
          • POSTUpdates import
          • DELDelete Import
          • PUTUpdate import schedule
          • PUTUpdates the import with file delimiters
          • PUTUpdates the import's file_map after you've set the delimiters (see PUT|/dbs/{db_id}/imports/{import_id}/delimiters)
          • GETRetrieves auto detected imports
    • Event-Driven Sync (EDRTS)
    • Content
    • FeedAMP Order
    • FeedAMP Order V2
    • FeedAMP Order Source
LogoLogo
RESTPlatformImports

Create Import

POST
https://meta.feedonomics.com/api.php/dbs/:db_id/imports
POST
/api.php/dbs/:db_id/imports
$curl -X POST https://meta.feedonomics.com/api.php/dbs/1.1/imports \
> -H "x-api-key: x-api-key" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "name": "new ftp",
> "join_type": "product_feed",
> "file_name": "filename.txt",
> "tags": {
> "platform": "BigCommerce"
> },
> "timeout": 900,
> "file_location": "ftp",
> "host": "host.com",
> "username": "username",
> "password": "password",
> "protocol": "ftp"
>}'
200ftp
1{
2 "id": "135",
3 "db_id": "132",
4 "name": "ftp",
5 "status": "0",
6 "file_location": "preprocess_script",
7 "import_info": {
8 "url": "https://haproxy-preprocess.feedonomics.com/preprocess/run_preprocess.php?connection_info",
9 "CURLOPT_USERAGENT": "",
10 "preprocess_info": {
11 "connection_info": {
12 "protocol": "ftp",
13 "host": "ftp2.feedonomics.com",
14 "username": "9",
15 "password": "68"
16 },
17 "file_info": {
18 "request_type": "get",
19 "file_type_name": "File Name",
20 "directory": "/FEED110",
21 "filename": "1_import_practical.txt",
22 "file_match": "",
23 "keep_files_count": ""
24 },
25 "actions": {}
26 }
27 },
28 "file_type": "delimited",
29 "file_map": {
30 "encoding": "",
31 "separator": "t",
32 "enclosure": "",
33 "escaper": "",
34 "maps": {
35 "id": "id",
36 "title": "title",
37 "body-html": "body_html"
38 }
39 },
40 "line_terminator": "",
41 "join_type": "product_feed",
42 "running": "0",
43 "cxn_id": "23935",
44 "name_based_maps": "1",
45 "xml_force_parse": "0",
46 "force_encoding": "0",
47 "ignore_lines": "1",
48 "load_threshold": "1",
49 "update_threshold": "1",
50 "max_attempts": "1",
51 "time_between_attempts": "1",
52 "limits": "",
53 "backup_failures": "0",
54 "needs_backup": "1",
55 "xmlreader": "0",
56 "clean_file_headers": "0",
57 "download_activity_timeout": "0",
58 "timeout": "900",
59 "last_download_status": "success",
60 "ftp_allow_minio_direct": "0"
61}
Was this page helpful?
Previous

Get imports for DB

Next

Get Import by ID

Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

db_iddoubleRequired

Headers

x-api-keystringRequired

Request

Create Import
namestringRequired
The name of the import
join_typestringRequired
The join type
file_namestringRequired
The file name
tagsobjectRequired
Tags associated with the import
timeoutdoubleOptional
The timeout duration
urlstringOptional
The URL for the import
CURLOPT_USERAGENTstringOptional
The user agent

Response

Import Created